---
sidebar_position: 7
description: Get folder child elements and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get folder child elements
 Get folder child elements



`Function GetFolderItems(Val URL, Val FolderID, Val Filter = "", Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | FolderID | --folderid | String, Number | &#x2714; | Folder identifier |
  | Filter | --filter | Structure of KeyAndValue | &#x2716; | Items filter. See GetFolderFilterStructure |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [disk.folder.getchildren](https://dev.1c-bitrix.ru/rest_help/disk/folder/disk_folder_getchildren.php)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL      = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    FolderID = "48402";

    Result = OPI_Bitrix24.GetFolderItems(URL, FolderID);

    URL   = "b24-ar17wx.bitrix24.by";
    Token = "6ad03969006e9f06006b12e400000001000...";

    Result = OPI_Bitrix24.GetFolderItems(URL, FolderID, , Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 GetFolderItems \
             --url "b24-ar17wx.bitrix24.by" \
             --folderid 48456 \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 GetFolderItems ^
             --url "b24-ar17wx.bitrix24.by" ^
             --folderid 48456 ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": [
  {
   "ID": "48458",
   "NAME": "New subfolder 2",
   "CODE": null,
   "STORAGE_ID": "3",
   "TYPE": "folder",
   "REAL_OBJECT_ID": "48458",
   "PARENT_ID": "48456",
   "DELETED_TYPE": "0",
   "CREATE_TIME": "2025-12-10T19:54:17+00:00",
   "UPDATE_TIME": "2025-12-10T19:54:27+00:00",
   "DELETE_TIME": null,
   "CREATED_BY": "1",
   "UPDATED_BY": "1",
   "DELETED_BY": "0",
   "DETAIL_URL": "https://b24-ar17wx.bitrix24.by/docs/path/New catalog/New subfolder 2"
  },
  {
   "ID": "48460",
   "NAME": "New subfolder",
   "CODE": null,
   "STORAGE_ID": "3",
   "TYPE": "folder",
   "REAL_OBJECT_ID": "48460",
   "PARENT_ID": "48456",
   "DELETED_TYPE": "0",
   "CREATE_TIME": "2025-12-10T19:54:20+00:00",
   "UPDATE_TIME": "2025-12-10T19:54:25+00:00",
   "DELETE_TIME": null,
   "CREATED_BY": "1",
   "UPDATED_BY": "1",
   "DELETED_BY": "0",
   "DETAIL_URL": "https://b24-ar17wx.bitrix24.by/docs/path/New catalog/New subfolder"
  },
  {
   "ID": "48472",
   "NAME": "New file name.jpg",
   "CODE": null,
   "STORAGE_ID": "3",
   "TYPE": "file",
   "PARENT_ID": "48456",
   "DELETED_TYPE": "0",
   "GLOBAL_CONTENT_VERSION": "1",
   "FILE_ID": "32890",
   "SIZE": "805189",
   "CREATE_TIME": "2025-12-10T19:54:41+00:00",
   "UPDATE_TIME": "2025-12-10T19:54:41+00:00",
   "DELETE_TIME": null,
   "CREATED_BY": "1",
   "UPDATED_BY": "1",
   "DELETED_BY": "0",
   "DOWNLOAD_URL": "https://b24-ar17wx.bitrix24.by/rest/download.json?auth=66dc3969006e9f06006b12e4000000010000074362ff3792167a01ecb206c3034befae&token=disk%7CaWQ9NDg0NzImXz00Tnd0OVU5QUhlVVBxcDNXRkZVdkN2c1UzTFoyWWtHMA%3D%3D%7CImRvd25sb2FkfGRpc2t8YVdROU5EZzBOekltWHowMFRuZDBPVlU1UVVobFZWQnhjRE5YUmtaVmRrTjJjMVV6VEZveVdXdEhNQT09fDY2ZGMzOTY5MDA2ZTlmMDYwMDZiMTJlNDAwMDAwMDAxMDAwMDA3NDM2MmZmMzc5MjE2N2EwMWVjYjIwNmMzMDM0YmVmYWUi.PJW6C8cV3uApdRZNIWikDljJbU0HLrBSvGpwpGaIogg%3D",
   "DETAIL_URL": "https://b24-ar17wx.bitrix24.by/docs/file/New catalog/New file name.jpg"
  }
 ],
 "total": 3,
 "time": {
  "start": 1765396495,
  "finish": 1765396495.79102,
  "duration": 0.791023969650269,
  "processing": 0,
  "date_start": "2025-12-10T19:54:55+00:00",
  "date_finish": "2025-12-10T19:54:55+00:00",
  "operating_reset_at": 1765397095,
  "operating": 0
 }
}
```
